using System;

class aaaaaa
{
    static void Main()
    {
        string[] s = Console.ReadLine().Split();
        int n = int.Parse(s[0]);
        int l = int.Parse(s[1]);
        
        int[] stalaktiti = new int[n];
        string[] s2 = Console.ReadLine().Split();
        
        for(int i=0; i<n; i++)
        {
            stalaktiti[i] = int.Parse(s2[i]);
        }
        
        int ind = -1;
        for(int j=0; j<n; j++)
        {
            if (stalaktiti[j]<=l)
            {
                ind = j+1;
                break;
            }
        }
        Console.WriteLine(ind);
    }
}